## glibmm2.4 2.32.1

=== debian/changelog ===
glibmm2.4 (2.32.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Don't compress doxygen tag files since doxygen can't handle those.
  * Enable xz compression for binary packages.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Sep 2012 08:35:08 +0200

glibmm2.4 (2.32.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Apr 2012 16:56:12 +0200

glibmm2.4 (2.31.22-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 08:53:51 +0200

glibmm2.4 (2.31.22-1) experimental; urgency=low

  * New upstream development release.
  * Bump SHVER to 2.31.22.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Mar 2012 10:26:00 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: glibmm2.4
Section: libs
Priority: optional
Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.gtkmm.org/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
Build-Depends: cdbs (>= 0.4.93),
               debhelper (>= 8.1.3),
               gnome-pkg-tools (>= 0.11),
               libglib2.0-dev (>= 2.31.0),
               libsigc++-2.0-dev (>= 2.2.10),
               pkg-config
Standards-Version: 3.9.3

Package: libglibmm-2.4-1c2a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ wrapper for the GLib toolkit (shared libraries)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains shared libraries.

Package: libglibmm-2.4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1c2a (= ${binary:Version}),
         libglib2.0-dev (>= 2.31.0),
         libsigc++-2.0-dev (>= 2.2.10),
         pkg-config
Suggests: libglibmm-2.4-doc,
          libgtkmm-3.0-dev
Description: C++ wrapper for the GLib toolkit (development files)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains development files.

Package: libglibmm-2.4-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1c2a (= ${binary:Version})
Description: C++ wrapper for the GLib toolkit (debug symbols)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains debug symbols for debugging applications using glibmm.

Package: libglibmm-2.4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         lynx | www-browser
Suggests: gtkmm-documentation
Description: C++ wrapper for the GLib toolkit (documentation)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains reference documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := glibmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.31.22

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_MAKE_CHECK_TARGET := check
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

# Don't compress doxygen tag files
DEB_COMPRESS_EXCLUDE = .tag

# Use xz compression
DEB_DH_BUILDDEB_ARGS ?= -- -Zxz

install/$(DOC_PKG)::
	$(MAKE) -C $(CURDIR)/examples clean

## glibmm2.4 2.33.13

=== debian/changelog ===
glibmm2.4 (2.33.13-0ubuntu2) quantal; urgency=low

  * debian/rules:
    - Bump shlib version

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 28 Sep 2012 12:28:45 +1200

glibmm2.4 (2.33.13-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release (LP: #1056505)
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 28 Sep 2012 09:23:25 +1200

glibmm2.4 (2.33.12-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Sep 2012 09:46:50 +1200

glibmm2.4 (2.33.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Jul 2012 10:36:25 +1200

glibmm2.4 (2.33.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Use Standard-Version 3.9.3
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2012 14:52:00 +1200

glibmm2.4 (2.33.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 18 Jun 2012 12:13:18 +1200

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,31 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3~),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.31.0),
-               libsigc++-2.0-dev (>= 2.2.10),
+               libglib2.0-dev (>= 2.34.0),
+               libsigc++-2.0-dev (>= 2.0.10),
                pkg-config
 Standards-Version: 3.9.3
 
 Package: libglibmm-2.4-1c2a
 Section: libs
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (shared libraries)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -37,15 +37,16 @@
 Package: libglibmm-2.4-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.31.0),
-         libsigc++-2.0-dev (>= 2.2.10),
+         libglib2.0-dev (>= 2.34.0),
+         libsigc++-2.0-dev (>= 2.0.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,
           libgtkmm-3.0-dev
+Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (development files)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -57,10 +58,11 @@
 Section: debug
 Priority: extra
 Architecture: any
-Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version})
+Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (debug symbols)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -71,7 +73,6 @@
 Package: libglibmm-2.4-doc
 Section: doc
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          doc-base,

=== debian/watch ===
version=3
http://download.gnome.org/sources/glibmm/([\d\.]+)/ \
        glibmm-([\d\.]+)\.tar\.xz

## glibmm2.4 2.34.1

=== debian/changelog ===
glibmm2.4 (2.34.1-0ubuntu1) raring; urgency=low

  * New upstream version (lp: #1056505)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 16:04:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := glibmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.33.13

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_MAKE_CHECK_TARGET := check
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

install/$(DOC_PKG)::
	$(MAKE) -C $(CURDIR)/examples clean

## glibmm2.4 2.35.9

=== debian/changelog ===
glibmm2.4 (2.35.9-0ubuntu1) raring; urgency=low

  * New upstream version
  * debian/control.in: updated glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Mar 2013 10:24:25 +0100

glibmm2.4 (2.35.8-0ubuntu1) raring; urgency=low

  * New upstream release based on GLib 2.35.8

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Mar 2013 13:03:41 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 8.1.3~),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.34.0),
+               libglib2.0-dev (>= 2.35.9),
                libsigc++-2.0-dev (>= 2.0.10),
                pkg-config
 Standards-Version: 3.9.3
@@ -41,7 +41,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.34.0),
+         libglib2.0-dev (>= 2.35.9),
          libsigc++-2.0-dev (>= 2.0.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,

## glibmm2.4 2.37.4

=== debian/changelog ===
glibmm2.4 (2.37.4-0ubuntu3) saucy; urgency=low

  * debian/patches/disable_online_tls_test.patch:
    - update generated files as well, thanks Pete Woods (lp: #1206997)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Jul 2013 19:15:04 +0200

glibmm2.4 (2.37.4-0ubuntu2) saucy; urgency=low

  * debian/patches/disable_online_tls_test.patch: disable the tls tests,
    they try to connect to www.google.com which is not available on buildds

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Jul 2013 16:08:09 +0200

glibmm2.4 (2.37.4-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/patches/git_menuitem_constructors.patch:
    - backport git patch, "MenuItem: Reimplement the constructors.",
      thanks Pete Woods

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Jul 2013 14:47:19 +0200

glibmm2.4 (2.36.2-1) unstable; urgency=low

  * New upstream release.
  * Bump minimum glib version 2.36.1 according to configure.ac.
  * Drop DM-Upload-Allowed field, DM upload permissions are no longer handled
    this way.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Bump SHVER to 2.36.2.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 May 2013 01:27:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,25 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
-Build-Depends: cdbs (>= 0.4.93~),
-               debhelper (>= 8.1.3~),
+Build-Depends: cdbs (>= 0.4.93),
+               debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.35.9),
-               libsigc++-2.0-dev (>= 2.0.10),
+               libglib2.0-dev (>= 2.36.1),
+               libsigc++-2.0-dev (>= 2.2.10),
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: libglibmm-2.4-1c2a
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (shared libraries)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -37,16 +36,15 @@
 Package: libglibmm-2.4-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.35.9),
-         libsigc++-2.0-dev (>= 2.0.10),
+         libglib2.0-dev (>= 2.36.1),
+         libsigc++-2.0-dev (>= 2.2.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,
           libgtkmm-3.0-dev
-Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (development files)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -58,11 +56,10 @@
 Section: debug
 Priority: extra
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version})
-Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (debug symbols)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -73,6 +70,7 @@
 Package: libglibmm-2.4-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          doc-base,

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,21 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.33.13
+SHVER := 2.36.2
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
+                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 DEB_MAKE_CHECK_TARGET := check
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
 DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o
 
+# Don't compress doxygen tag files
+DEB_COMPRESS_EXCLUDE = .tag
+
+# Use xz compression
+DEB_DH_BUILDDEB_ARGS ?= -- -Zxz
+
 install/$(DOC_PKG)::
 	$(MAKE) -C $(CURDIR)/examples clean

## glibmm2.4 2.39.93

=== debian/changelog ===
glibmm2.4 (2.39.93-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Apr 2014 13:47:09 +0200

glibmm2.4 (2.39.4-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/control.in: updated glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2014 13:30:50 +0100

glibmm2.4 (2.39.3-0ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Build-depend on mm-common to fix errors during autoreconf.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 28 Jan 2014 16:20:45 -0500

glibmm2.4 (2.39.3-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump Depends on libglib2.0-dev.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 28 Jan 2014 15:28:07 +1300

glibmm2.4 (2.38.1-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Nov 2013 16:01:05 +0100

glibmm2.4 (2.38.0-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Nov 2013 17:32:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,11 @@
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.36.1),
+               libglib2.0-dev (>= 2.39.4),
                libsigc++-2.0-dev (>= 2.2.10),
-               pkg-config
+               pkg-config,
+               dh-autoreconf,
+               mm-common
 Standards-Version: 3.9.4
 
 Package: libglibmm-2.4-1c2a
@@ -40,7 +42,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.36.1),
+         libglib2.0-dev (>= 2.39.4),
          libsigc++-2.0-dev (>= 2.2.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/watch ===
version=3
http://download.gnome.org/sources/glibmm/([\d\.]+[02468])/ \
        glibmm-([\d\.]+)\.tar\.xz

## glibmm2.4 2.42.0

=== debian/changelog ===
glibmm2.4 (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum glib version to 2.42.0 according to configure.ac.
  * Use canonical URLs for the Vcs-* fields.
  * Bump SHVER to 2.42.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Sep 2014 18:53:32 +0200

glibmm2.4 (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum glib version to 2.40.0 according to configure.ac.
  * Bump debhelper compatibility level to 9.
  * Bump Build-Depends on debhelper to (>= 9) to match debian/compat.
  * Bump Standards-Version to 3.9.5.
  * Bump SHVER to 2.40.0.
  * debian/patches/01-disable-tls-test.patch: Don't run giomm_tls_client test
    since it requires network access which is not guaranteed to be available
    on buildds.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Apr 2014 00:58:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
+Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
 Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
+               dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.39.4),
+               libglib2.0-dev (>= 2.42.0),
                libsigc++-2.0-dev (>= 2.2.10),
                pkg-config,
-               dh-autoreconf,
-               mm-common
-Standards-Version: 3.9.4
+               mm-common (>= 0.9.6)
+Standards-Version: 3.9.5
 
 Package: libglibmm-2.4-1c2a
 Section: libs
@@ -42,7 +41,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.39.4),
+         libglib2.0-dev (>= 2.42.0),
          libsigc++-2.0-dev (>= 2.2.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.36.2
+SHVER := 2.42.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## glibmm2.4 2.45.41.is.2.44.0

=== debian/changelog ===
glibmm2.4 (2.45.41.is.2.44.0-0ubuntu2) wily; urgency=medium

  * Reapply changes from seb128 to rename binary for gcc5 ABI change.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 31 Jul 2015 11:34:42 +0100

glibmm2.4 (2.45.41.is.2.44.0-0ubuntu1) wily; urgency=medium

  * Revert 2.45 update - it requires everything to be built using C++11

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jul 2015 15:46:18 +1200

glibmm2.4 (2.45.41-0ubuntu3~gcc5.2) wily; urgency=medium

  * Rebuild with new libsigc version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jul 2015 15:26:12 +0200

glibmm2.4 (2.45.41-0ubuntu3~gcc5.1) wily; urgency=medium

  * debian/control.in: use conflicts/replace, update libsigc++ requirement,
    thanks doko for pointing those out

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jul 2015 11:30:28 +0200

glibmm2.4 (2.45.41-0ubuntu3~gcc5) wily; urgency=medium

  * Rename binary for gcc5 abi change

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jul 2015 10:53:28 +0200

glibmm2.4 (2.45.41-0ubuntu2) wily; urgency=medium

  * Build using GCC 5.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 28 Jul 2015 10:38:20 +1200

glibmm2.4 (2.45.41-0ubuntu1) wily; urgency=medium

  * New upstream release
    - Undeprecate HelperList and List_Iterator because gtkmm-2.4 uses these
      in its undeprecated API. (LP: #1478367)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 28 Jul 2015 09:24:44 +1200

glibmm2.4 (2.45.40-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev, mm-common

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 23 Jul 2015 10:10:58 +1200

glibmm2.4 (2.44.0-1) unstable; urgency=medium

  * Use default compression for binary packages.
  * New upstream release.
  * Bump minimum glib version to 2.44.0 as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer, add
    Deng Xiyue to Uploaders.
  * Bump SHVER to 2.44.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 00:25:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
@@ -14,19 +15,21 @@
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.42.0),
-               libsigc++-2.0-dev (>= 2.2.10),
+               libglib2.0-dev (>= 2.44.0),
+               libsigc++-2.0-dev (>= 2.4.1-1ubuntu2),
                pkg-config,
-               mm-common (>= 0.9.6)
-Standards-Version: 3.9.5
+               mm-common (>= 0.9.7)
+Standards-Version: 3.9.6
 
-Package: libglibmm-2.4-1c2a
+Package: libglibmm-2.4-1v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: libglibmm-2.4-1c2a
+Replaces: libglibmm-2.4-1c2a
 Description: C++ wrapper for the GLib toolkit (shared libraries)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -40,8 +43,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.42.0),
+         libglibmm-2.4-1v5 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.44.0),
          libsigc++-2.0-dev (>= 2.2.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,
@@ -60,7 +63,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libglibmm-2.4-1c2a (= ${binary:Version})
+         libglibmm-2.4-1v5 (= ${binary:Version})
 Description: C++ wrapper for the GLib toolkit (debug symbols)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.42.0
+SHVER := 2.44.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
@@ -24,8 +24,5 @@
 # Don't compress doxygen tag files
 DEB_COMPRESS_EXCLUDE = .tag
 
-# Use xz compression
-DEB_DH_BUILDDEB_ARGS ?= -- -Zxz
-
 install/$(DOC_PKG)::
 	$(MAKE) -C $(CURDIR)/examples clean

## glibmm2.4 2.46.3

=== debian/changelog ===
glibmm2.4 (2.46.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Dec 2015 22:47:34 +0100

glibmm2.4 (2.46.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Nov 2015 18:11:46 +0100

glibmm2.4 (2.46.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update Build-Depends as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.46.0)
    - Bump libsigc++-2.0-dev to (>= 2.5.4)
    - Bump mm-common to (>= 0.9.8)
  * Bump SHVER to 2.46.0.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Sep 2015 21:54:31 +0200

glibmm2.4 (2.44.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Aug 2015 09:31:24 +0200

glibmm2.4 (2.44.0-2) experimental; urgency=medium

  [ Sebastien Bacher ]
  * Rename libglibmm-2.4-1c2a to libglibmm-2.4-1v5 for GCC 5 abi change.
  * Add Conflict/Replaces against the old library package.
  * Bump Build-Depends on libsigc++-2.0-dev to ensure it was built with GCC 5.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 11:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.44.0),
-               libsigc++-2.0-dev (>= 2.4.1-1ubuntu2),
+               libglib2.0-dev (>= 2.46.0),
+               libsigc++-2.0-dev (>= 2.5.4),
                pkg-config,
-               mm-common (>= 0.9.7)
+               mm-common (>= 0.9.8)
 Standards-Version: 3.9.6
 
 Package: libglibmm-2.4-1v5
@@ -44,8 +43,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1v5 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.44.0),
-         libsigc++-2.0-dev (>= 2.2.10),
+         libglib2.0-dev,
+         libsigc++-2.0-dev,
          pkg-config
 Suggests: libglibmm-2.4-doc,
           libgtkmm-3.0-dev

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.44.0
+SHVER := 2.46.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## glibmm2.4 2.48.1

=== debian/changelog ===
glibmm2.4 (2.48.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.48.0)
    - Bump libsigc++-2.0-dev to (>= 2.8.0)
    - Bump mm-common to (>= 0.9.10)
  * Bump SHVER to 2.46.0.
  * Drop libglibmm-2.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libglibmm-2.4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration.
    Bump Build-Depends on debhelper accordingly.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 16:29:33 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
 Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
+               debhelper (>= 9.20160114),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.46.0),
-               libsigc++-2.0-dev (>= 2.5.4),
+               libglib2.0-dev (>= 2.48.0),
+               libsigc++-2.0-dev (>= 2.8.0),
                pkg-config,
-               mm-common (>= 0.9.8)
+               mm-common (>= 0.9.10)
 Standards-Version: 3.9.6
 
 Package: libglibmm-2.4-1v5
@@ -55,21 +55,6 @@
  .
  This package contains development files.
 
-Package: libglibmm-2.4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libglibmm-2.4-1v5 (= ${binary:Version})
-Description: C++ wrapper for the GLib toolkit (debug symbols)
- GLib is a low-level general-purpose library used mainly by GTK+/GNOME
- applications, but is useful for other programs as well.
- glibmm is the C++ wrapper for GLib.
- .
- This package contains debug symbols for debugging applications using glibmm.
-
 Package: libglibmm-2.4-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.46.0
+SHVER := 2.48.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
@@ -21,6 +21,8 @@
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
 DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o
 
+DEB_DH_STRIP_ARGS = --dbgsym-migration='libglibmm-2.4-dbg (<< 2.48.1-1~)'
+
 # Don't compress doxygen tag files
 DEB_COMPRESS_EXCLUDE = .tag

## glibmm2.4 2.50.0

=== debian/changelog ===
glibmm2.4 (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.50.0) as per configure.ac.
  * Bump SHVER to 2.50.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 18:44:17 +0200

glibmm2.4 (2.49.7-1) unstable; urgency=medium

  * New upstream development release.
  * Bump SHVER to 2.49.7.
  * Don't compress example .cc files.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.49.7) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 14:30:31 +0200

glibmm2.4 (2.49.5-1) unstable; urgency=medium

  * New upstream development release
  * Refresh debian/patches/01-disable-tls-test.patch.
  * Bump Build-Depends on libsigc++-2.0-dev to (>= 2.9.1) as per configure.ac.
  * Bump SHVER to 2.49.5.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Stop building static libraries.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 02:30:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,13 @@
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9.20160114),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.48.0),
-               libsigc++-2.0-dev (>= 2.8.0),
+               libglib2.0-dev (>= 2.50.0),
+               libsigc++-2.0-dev (>= 2.9.1),
                pkg-config,
                mm-common (>= 0.9.10)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: libglibmm-2.4-1v5
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := glibmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.50.0

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libglibmm-2.4-dbg (<< 2.48.1-1~)'

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag -X.cc

override_dh_installexamples:
	$(MAKE) -C examples distclean
	dh_installexamples -XMakefile

## glibmm2.4 2.54.1

=== debian/changelog ===
glibmm2.4 (2.54.1-1) unstable; urgency=medium

  * New upstream release (Closes: #876167)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Sep 2017 08:42:08 -0400

glibmm2.4 (2.54.0-2) unstable; urgency=medium

  * Bump SHVER to 2.54.0.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 07:34:42 -0400

glibmm2.4 (2.54.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 07:07:25 -0400

glibmm2.4 (2.50.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Apr 2017 21:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
@@ -16,10 +16,9 @@
                libsigc++-2.0-dev (>= 2.9.1),
                pkg-config,
                mm-common (>= 0.9.10)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: libglibmm-2.4-1v5
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 GNOME_MODULE := glibmm
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.50.0
+SHVER := 2.54.0
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## glibmm2.4 2.56.0

=== debian/changelog ===
glibmm2.4 (2.56.0-2) unstable; urgency=medium

  * Build with --enable-documentation.
  * Drop 02-enable-maintainer-mode.patch. No longer needed with above change.
  * Remove Deng Xiyue from Uploaders since he hasn't contributed to this
    package recently and the Alioth email no longer works. Thanks for your
    contributions!
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Apr 2018 14:28:07 -0400

glibmm2.4 (2.56.0-1) unstable; urgency=medium

  * New upstream release
  * Use Files-Excluded to ensure docs are built from source
  * Build-Depend on doxygen, graphviz, and xsltproc for docs
  * Add 02-enable-maintainer-mode.patch:
    - Fix maintainer mode so that building docs works

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 01 Apr 2018 10:14:41 -0400

glibmm2.4 (2.54.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:52:14 -0500

glibmm2.4 (2.54.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 21:56:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: glibmm2.4
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Homepage: http://www.gtkmm.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glibmm2.4
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glibmm2.4
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
+               doxygen,
                gnome-pkg-tools (>= 0.11),
+               graphviz,
+               xsltproc,
                libglib2.0-dev (>= 2.50.0),
                libsigc++-2.0-dev (>= 2.9.1),
                pkg-config,
                mm-common (>= 0.9.10)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/gnome-team/glibmm
+Vcs-Git: https://salsa.debian.org/gnome-team/glibmm.git
+Homepage: http://www.gtkmm.org/
 
 Package: libglibmm-2.4-1v5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.54.0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --enable-documentation

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libglibmm-2.4-dbg (<< 2.48.1-1~)'

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag -X.cc

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installexamples:
	$(MAKE) -C examples distclean
	dh_installexamples -XMakefile

## glibmm2.4 2.58.0

=== debian/changelog ===
glibmm2.4 (2.58.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:50:41 +0800

glibmm2.4 (2.58.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:34:54 -0500

glibmm2.4 (2.58.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.55.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 31 Oct 2018 17:15:13 -0400

## glibmm2.4 2.58.0.2

=== debian/changelog ===
glibmm2.4 (2.58.0.2-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: fd7f6f9bc1fa937201bdc63e3cd598d686cb00ce']

 -- shuttle <shuttle@deepin.com>  Sat, 07 Dec 2019 16:39:50 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: 
 Build-Depends: debhelper (>= 11),
                doxygen,
                gnome-pkg-tools (>= 0.11),
                graphviz,
                xsltproc,
-               libglib2.0-dev (>= 2.50.0),
+               libglib2.0-dev (>= 2.55.1),
                libsigc++-2.0-dev (>= 2.9.1),
                pkg-config,
                mm-common (>= 0.9.10)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/glibmm
 Vcs-Git: https://salsa.debian.org/gnome-team/glibmm.git
 Homepage: http://www.gtkmm.org/
@@ -70,4 +70,3 @@
  glibmm is the C++ wrapper for GLib.
  .
  This package contains reference documentation and examples.
-

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 SHVER := 2.54.0
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

## glibmm2.4 2.60.0

=== debian/changelog ===
glibmm2.4 (2.60.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.59.2
  * Don't have libglibmm-2.4-doc's depend on lynx | www-browser
  * Have libglibmm-2.4-doc suggest devhelp

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Mar 2019 01:29:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                doxygen,
                gnome-pkg-tools (>= 0.11),
                graphviz,
                xsltproc,
-               libglib2.0-dev (>= 2.55.1),
+               libglib2.0-dev (>= 2.59.2),
                libsigc++-2.0-dev (>= 2.9.1),
                pkg-config,
                mm-common (>= 0.9.10)
@@ -62,8 +62,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          doc-base,
-         lynx | www-browser
-Suggests: gtkmm-documentation
+Suggests: devhelp, gtkmm-documentation
 Description: C++ wrapper for the GLib toolkit (documentation)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.

## glibmm2.4 2.62.0

=== debian/changelog ===
glibmm2.4 (2.62.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.61.2
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 04 Oct 2019 07:22:16 -0400

glibmm2.4 (2.60.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Sep 2019 18:34:35 -0400

## glibmm2.4 2.64.2

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'fatal',
  description: 'Compiler warning level')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('debug-refcounting', type: 'boolean', value: false,
  description: 'Print debug messages in connection with reference counting')
option('build-examples', type: 'boolean', value: true,
  description: 'Build example programs')

=== debian/changelog ===
glibmm2.4 (2.64.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 19:42:00 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                doxygen,
-               gnome-pkg-tools (>= 0.11),
                graphviz,
                xsltproc,
-               libglib2.0-dev (>= 2.59.2),
+               libglib2.0-dev (>= 2.61.2),
                libsigc++-2.0-dev (>= 2.9.1),
                pkg-config,
                mm-common (>= 0.9.10)
@@ -43,7 +43,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1v5 (= ${binary:Version}),
-         libglib2.0-dev,
+         libglib2.0-dev (>= 2.61.2),
          libsigc++-2.0-dev,
          pkg-config
 Suggests: libglibmm-2.4-doc,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-documentation
@@ -17,9 +17,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))"
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libglibmm-2.4-dbg (<< 2.48.1-1~)'
 
 # Don't compress doxygen tag files
 override_dh_compress:

=== debian/watch ===
version=4
https://download.gnome.org/sources/glibmm/([\d\.]+[02468])/ \
	glibmm@ANY_VERSION@\.tar\.xz
